Uploaded image for project: 'DSpace'
  1. DSpace
  2. DS-935

REST-API Has a dependency on the dspace-jspui-api, it would be nice if this could be removed.

    Details

    • Type: Improvement
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.8.0
    • Component/s: REST API
    • Labels:
      None
    • Attachments:
      0
    • Comments:
      7
    • Documentation Status:
      Needed

      Description

      It would be nice to remove the dependency on the dspace-jspui-api to allow for a distribution without the Jspui. The only place I know of a real dependency at the moment is in the use of the RecentSubmissions class, but there may be others.

        Attachments

          Activity

            People

            • Assignee:
              robintaylor Robin Taylor
              Reporter:
              robintaylor Robin Taylor
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: